"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [23.05.2018]
 */
var CommandResult = /** @class */ (function () {
    /**
     * @stable [21.05.2018]
     * @param {string} command
     * @param {string} uuid
     * @param {AnyT} data
     */
    function CommandResult(command, uuid, data) {
        this.command = command;
        this.uuid = uuid;
        this.data = data;
    }
    /**
     * @stable [21.05.2018]
     * @returns {string}
     */
    CommandResult.prototype.getCommand = function () {
        return this.command;
    };
    /**
     * @stable [21.05.2018]
     * @returns {string}
     */
    CommandResult.prototype.getUuid = function () {
        return this.uuid;
    };
    /**
     * @stable [21.05.2018]
     * @returns {AnyT}
     */
    CommandResult.prototype.getData = function () {
        return this.data;
    };
    CommandResult.$PROTOCOL_PAYLOAD_CLASS_IDENTIFIER = 'CommandResult';
    return CommandResult;
}());
exports.CommandResult = CommandResult;
//# sourceMappingURL=command.result.js.map