import { IContainerProps, IDialogFormChangesConfirmStoreProxy, IFormStoreProxy, IRouterStoreProxy } from '../../definition';
import { BaseContainer } from './base.container';
export declare class BasicContainer<TProps extends IContainerProps = IContainerProps, TState = {}> extends BaseContainer<TProps, TState> {
    private $dfccStoreProxy;
    private $formStoreProxy;
    private $routerStoreProxy;
    /**
     * @stable [27.11.2019]
     * @returns {IDialogFormChangesConfirmStoreProxy}
     */
    protected readonly dfccStoreProxy: IDialogFormChangesConfirmStoreProxy;
    /**
     * @stable [30.11.2019]
     * @returns {IFormStoreProxy}
     */
    protected readonly formStoreProxy: IFormStoreProxy;
    /**
     * @stable [18.12.2019]
     * @returns {IRouterStoreProxy}
     */
    protected readonly routerStoreProxy: IRouterStoreProxy;
}
