"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var textfield_1 = require("../textfield");
var TextArea = /** @class */ (function (_super) {
    __extends(TextArea, _super);
    function TextArea() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TextArea.prototype.getInputElement = function () {
        return React.createElement("textarea", __assign({}, this.getInputElementProps()));
    };
    /**
     * @inheritDoc
     */
    TextArea.prototype.getInputAttachmentElement = function () {
        var _this = this;
        return util_1.orNull(util_1.isDef(this.props.maxLength), function () { return (React.createElement("label", { className: 'rac-text-area-length-label' },
            (_this.value || '').length,
            " ",
            _this.t('of'),
            " ",
            _this.props.maxLength)); });
    };
    /**
     * @stable [22.11.2018]
     * @returns {string}
     */
    TextArea.prototype.getFieldClassName = function () {
        return util_1.toClassName(_super.prototype.getFieldClassName.call(this), 'rac-text-area');
    };
    TextArea.defaultProps = {
        clearActionRendered: false,
    };
    return TextArea;
}(textfield_1.BaseTextField));
exports.TextArea = TextArea;
//# sourceMappingURL=textarea.component.js.map