"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var dialog_component_1 = require("../../dialog/dialog.component");
var util_1 = require("../../../util");
var FormDialog = /** @class */ (function (_super) {
    __extends(FormDialog, _super);
    function FormDialog() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [05.01.2020]
     * @param {IActivateDialogConfigEntity} payload
     */
    FormDialog.prototype.activate = function (payload) {
        if (util_1.isDirty(this.props.form)) {
            _super.prototype.activate.call(this, payload);
        }
        else {
            this.onAcceptClick();
        }
    };
    FormDialog.defaultProps = {
        title: 'Changes you made will not be saved',
        closeText: 'Cancel',
        acceptText: 'Discard',
    };
    return FormDialog;
}(dialog_component_1.Dialog));
exports.FormDialog = FormDialog;
//# sourceMappingURL=form-dialog.component.js.map