import { IPositionWrapper, IUseUppercaseWrapper, IOnChangeWrapper, IModeWrapper } from '../../definitions.interface';
import { IKeyboardConfiguration, KeyboardLayoutT } from '../../configurations-definitions.interface';
/**
 * @stable [08.05.2018]
 */
export declare const KEYBOARD_SPECIAL_KEYS: {
    UPPERCASE: string;
    LOWERCASE: string;
    BACK: string;
    CLOSE: string;
    SPACE: string;
    DIGITAL: string;
    LITERAL: string;
};
/**
 * @stable [08.05.2018]
 */
export declare const KEYBOARD_QWERTY_LAYOUT: KeyboardLayoutT;
/**
 * @stable [08.05.2018]
 */
export declare const KEYBOARD_QWERTY_DIGITAL_LAYOUT: KeyboardLayoutT;
/**
 * @stable [19.02.2019]
 */
export declare const INLINE_KEYBOARD_NUMERIC_LAYOUT: KeyboardLayoutT;
/**
 * @stable [19.02.2019]
 */
export declare const KEYBOARD_NUMERIC_LAYOUT: KeyboardLayoutT;
/**
 * @stable [08.05.2018]
 */
export interface IKeyboardEntity extends IOnChangeWrapper<string> {
}
/**
 * @stable [08.05.2018]
 */
export interface IKeyboardProps extends IKeyboardEntity, IKeyboardConfiguration {
}
/**
 * @stable [08.05.2018]
 */
export interface IKeyboardState extends IPositionWrapper, IModeWrapper<number>, IUseUppercaseWrapper {
}
