"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var definition_1 = require("../../definition");
var base_component_1 = require("../base/base.component");
var flex_1 = require("../layout/flex");
var util_1 = require("../../util");
var Main = /** @class */ (function (_super) {
    __extends(Main, _super);
    /**
     * @stable [23.11.2019]
     * @param {IMainProps} props
     */
    function Main(props) {
        var _this = _super.call(this, props) || this;
        _this.onScroll = _this.onScroll.bind(_this);
        return _this;
    }
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    Main.prototype.render = function () {
        var props = this.props;
        return (React.createElement(definition_1.UniversalStickyContext.Provider, { value: props.stickyElementClassName },
            React.createElement(definition_1.UniversalScrollableContext.Provider, { value: props.selectedElementClassName },
                React.createElement("div", { className: util_1.joinClassName('rac-main', definition_1.FlexClassNamesEnum.FULL, props.className) },
                    React.createElement("div", { ref: this.selfRef, className: 'rac-main-body-wrapper', onScroll: this.onScroll },
                        React.createElement(flex_1.FlexLayout, { className: 'rac-main-body' }, props.children))))));
    };
    /**
     * @stable [13.12.2018]
     */
    Main.prototype.onScroll = function () {
        this.domAccessor.fireEvent({ eventName: definition_1.SyntheticEventsEnum.SCROLL });
        // Each plugin should override this method
    };
    Main.defaultProps = {
        stickyElementClassName: definition_1.ElementsMarkersEnum.STICKY_ELEMENT_275B4646,
        selectedElementClassName: definition_1.ElementsMarkersEnum.SELECTED_ELEMENT_817ACCF6,
    };
    return Main;
}(base_component_1.BaseComponent));
exports.Main = Main;
//# sourceMappingURL=main.component.js.map