import { IPerfectScrollableComponent, IUniversalPlugin } from '../../definition';
export declare class PerfectScrollPlugin implements IUniversalPlugin {
    private readonly component;
    private readonly domAccessor;
    private ps;
    private resizeUnsubscriber;
    /**
     * @stable [04.12.2019]
     * @param {} component
     */
    constructor(component: IPerfectScrollableComponent);
    /**
     * @stable [04.12.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [04.12.2019]
     */
    componentDidUpdate(): void;
    /**
     * @stable [04.12.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [06.12.2019]
     */
    private doUpdate;
    /**
     * @stable [06.12.2019]
     */
    private tryRegisterPs;
    /**
     * @stable [06.12.2019]
     */
    private doDestroy;
    /**
     * @stable [06.12.2019]
     * @returns {boolean}
     */
    private readonly doesPsExist;
}
