import { IScrollableComponent, IScrollableComponentProps, IUniversalPlugin } from '../../definition';
export declare class PersistentScrollPlugin implements IUniversalPlugin {
    private readonly component;
    private readonly domAccessor;
    private scrollTask;
    /**
     * @stable [24.10.2019]
     * @param {IScrollableComponent<IScrollableComponentProps>} component
     */
    constructor(component: IScrollableComponent<IScrollableComponentProps>);
    /**
     * @stable [23.10.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [24.10.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [23.10.2019]
     * @returns {IXYEntity}
     */
    private getScrollInfo;
    /**
     * @stable [24.10.2019]
     */
    private onScroll;
    /**
     * @stable [24.10.2019]
     */
    private doScroll;
}
