/// <reference types="react" />
import { BaseContainer } from '../../../component/base';
import { IPageToolbarContainerProps } from './page-toolbar.interface';
export declare class PageToolbarContainer extends BaseContainer<IPageToolbarContainerProps> {
    /**
     * @stable [16.05.2018]
     * @param {IPageToolbarContainerProps} props
     */
    constructor(props: IPageToolbarContainerProps);
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [16.05.2018]
     */
    private onNext;
    /**
     * @stable [16.05.2018]
     */
    private onPrevious;
    /**
     * @stable [16.05.2018]
     */
    private onLast;
    /**
     * @stable [16.05.2018]
     */
    private onFirst;
}
