import { IXYEntity } from './xy-definition.interface';
import { IExpandedGroupsWrapper, IKeyValue, ILayoutWrapper, IModeWrapper } from '../definitions.interface';
/**
 * @stable [28.09.2019]
 */
export declare enum LayoutModeEnum {
    FULL = 0,
    MINIMAL = 1
}
/**
 * @stable [28.09.2019]
 */
export interface ILayoutEntity extends IXYEntity, IExpandedGroupsWrapper<IKeyValue>, IModeWrapper<LayoutModeEnum> {
}
/**
 * @stable [28.09.2019]
 */
export interface ILayoutWrapperEntity extends ILayoutWrapper<ILayoutEntity> {
}
/**
 * @stable [28.09.2019]
 */
export declare enum LayoutGroupsValuesEnum {
    HOME = "home"
}
/**
 * @stable [28.09.2019]
 */
export declare const INITIAL_LAYOUT_ENTITY: Readonly<ILayoutEntity>;
