import { IEffectsAction } from 'redux-effects-promise';
import { INotificationErrorMiddlewareConfigEntity, INotificationInfoMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [29.11.2019]
 * @param {INotificationErrorMiddlewareConfigEntity} config
 * @returns {IEffectsAction[]}
 */
export declare const makeNotificationErrorMiddleware: (config: INotificationErrorMiddlewareConfigEntity) => IEffectsAction[];
/**
 * @stable [29.11.2019]
 * @param {INotificationInfoMiddlewareConfigEntity} config
 * @returns {IEffectsAction[]}
 */
export declare const makeNotificationInfoMiddleware: (config: INotificationInfoMiddlewareConfigEntity) => IEffectsAction[];
