"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [10.09.2019]
 */
exports.DEFAULT_DICTIONARY_PAGE_SIZE = 300;
/**
 * @stable [04.12.2019]
 */
exports.INITIAL_DICTIONARIES_ENTITY = Object.freeze({});
/**
 * @stable [04.12.2019]
 */
exports.$RAC_DICTIONARIES_DESTROY_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + ".dictionaries.destroy";
exports.DICTIONARY_LOAD_ACTION_TYPE = 'dictionary.load';
exports.DICTIONARY_SET_ACTION_TYPE = 'dictionary.set';
/**
 * @stable [11.01.2020]
 */
var DictionariesEnum;
(function (DictionariesEnum) {
    DictionariesEnum["PLACES"] = "places";
})(DictionariesEnum = exports.DictionariesEnum || (exports.DictionariesEnum = {}));
/**
 * @stable [10.09.2019]
 */
exports.DEFAULT_DICTIONARY_PAGED_ENTITY = Object.freeze({
    page: definitions_interface_1.FIRST_PAGE,
    pageSize: exports.DEFAULT_DICTIONARY_PAGE_SIZE,
});
//# sourceMappingURL=dictionary-definition.interface.js.map